## exactimage 0.9.1

=== Makefile ===
include config.make

X_OUTARCH := ./objdir

X_BUILD_IMPLICIT=0
include utility/Makefile
X_BUILD_IMPLICIT=1

# -s silcently corrupts binaries on OS X, sigh -ReneR
CFLAGS = -Wall -O2
CXXFLAGS = -Wall -O2 -Wno-sign-compare
#CFLAGS = -Wall -O0 -ggdb
#CXXFLAGS = -Wall -O0 -ggdb

# for config.h
CPPFLAGS += -I .

# -frename-registers and -funroll-loops brings a lot performance on
# my AMD Turion - about 20% time decrease (though it is included in -funroll-loops anyway) !!!

# from the linux-kernel build system:
cc-option = $(shell if $(CC) $(1) -S -o /dev/null -xc /dev/null \
            > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)

ifeq "$(X_ARCH)" "i686"
CXXFLAGS += -march=i686
CXXFLAGS += $(call cc-option,-mtune=pentium4,)
endif

# TODO: improve to match i[3456]86
ifneq  "$(X_ARCH)" "i686"
CFLAGS += -fPIC
CXXFLAGS += -fPIC
endif

ifeq "$(X_ARCH)" "sparc64"
CXXFLAGS += -mcpu=ultrasparc
CXXFLAGS += $(call cc-option,-mtune=niagara,)
endif

CXXFLAGS += -funroll-loops -fomit-frame-pointer
CXXFLAGS += $(call cc-option,-funswitch-loops,)
CXXFLAGS += $(call cc-option,-fpeel-loops,)
CXXFLAGS += $(call cc-option,-ftracer,)
CXXFLAGS += $(call cc-option,-funit-at-a-time,)
CXXFLAGS += $(call cc-option,-frename-registers,)
CXXFLAGS += $(call cc-option,-ftree-vectorize,)

#CXXFLAGS += $(call cc-option,-mfpmath=sse,)

# we have some unimplemented colorspaces in the Image::iterator :-(
CXXFLAGS += $(call cc-option,-Wno-switch -Wno-switch-enum,)

ifeq "$(STATIC)" "1"
X_EXEFLAGS += -static
endif

MODULES = lib codecs bardecode frontends ContourMatching
include $(addsuffix /Makefile,$(MODULES))

ifeq "$(WITHX11)" "1"
ifeq "$(WITHEVAS)" "1"
include gfx/Makefile
include edisplay/Makefile
endif
endif

ifeq "$(WITHSWIG)" "1"
include api/Makefile

ifeq "$(WITHLUA)" "1"
include api/lua/Makefile
endif
ifeq "$(WITHPERL)" "1"
include api/perl/Makefile
endif
ifeq "$(WITHPHP)" "1"
include api/php/Makefile
endif
ifeq "$(WITHPYTHON)" "1"
include api/python/Makefile
endif
ifeq "$(WITHRUBY)" "1"
#include api/ruby/Makefile
endif

endif

check: $(X_OUTARCH)/econvert/econvert$(X_EXEEXT) $(X_OUTARCH)/edentify/edentify$(X_EXEEXT)
	$(Q)cd testsuite; ./run ../$(X_OUTARCH)/econvert/econvert$(X_EXEEXT)

=== frontends/Makefile ===
include build/top.make

ifneq "$(WITHLIBTIFF)" "1"
NOT_SRCS += e2mtiff.cc
endif

# build each .cc file as executable - if this is not desired
# in the future a list must be supplied manually ...

BINARY = $(basename $(filter-out $(NOT_SRCS), $(notdir $(wildcard $(X_MODULE)/*.cc $(X_MODULE)/*.c))) $(SRCS))

BINARY_EXT = $(X_EXEEXT)
DEPS = $(lib_BINARY) $(codecs_BINARY) $(bardecode_BINARY) $(X_OUTARCH)/utility/ArgumentList$(X_OBJEXT) $(X_OUTARCH)/utility/File$(X_OBJEXT)

CPPFLAGS += -I utility
#LDFLAGS += -lGL -lGLU -lglut -L/usr/X11/lib64

include build/bottom.make

=== lib/Makefile ===
include build/top.make

BINARY = lib
BINARY_EXT = $(X_LIBEXT)
DEPS =

# as fallback use the built-in Agg, we depend on it, ...

CPPFLAGS += $(LIBAGGINCS)
LDFLAGS += $(LIBAGGLIBS)
ifeq "$(WITHFREETYPE)" "1"
LDFLAGS += -laggfontfreetype
endif

ifeq "$(WITHFREETYPE)" "1"
CPPFLAGS += $(FREETYPEINCS)
LDFLAGS += $(FREETYPELIBS) 
endif

CPPFLAGS += -I lib -I utility

include build/bottom.make

=== api/lua/Makefile ===
include build/top.make

BINARY = ExactImage
BINARY_EXT = $(X_DYNEXT)
DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-lua-wrap.cc

objdir/api/lua/CXXFLAGS := -I api $(LUAINCS) -fno-strict-aliasing

$($(X_MODULE)_OUTPUT)/api-lua-wrap.cc: $(X_MODULE)/../api.hh $(X_MODULE)/../api-swig.hh
	$(Q)echo "  SWIG      $(dir $@)"
	$(Q)swig -lua -c++ -outdir $(dir $@) -o '$@' $(X_MODULE)/../api-swig.hh

# we have an own install
_X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
X_BUILD_IMPLICIT := 0
include build/bottom.make
X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)

api/lua/libdir := $(shell pkg-config lua --variable INSTALL_CMOD)

# install
all:: $($(X_MODULE)_BINARY)
install:: $($(X_MODULE)_BINARY)
	$(Q)echo "INSTALL LUA module $^"
	$(Q)mkdir -p $(DESTDIR)$(api/lua/libdir)
	$(Q)install $^ $(DESTDIR)$(api/lua/libdir)

=== api/perl/Makefile ===
include build/top.make

BINARY = ExactImage
BINARY_EXT = $(X_DYNEXT)
DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-perl-wrap.cc

objdir/api/perl/CXXFLAGS := -I api $(PERLINCS)

$($(X_MODULE)_OUTPUT)/api-perl-wrap.cc: $(X_MODULE)/../api.hh $(X_MODULE)/../api-swig.hh
	$(Q)echo "  SWIG      $(dir $@)"
	$(Q)swig -perl -c++ -outdir $(dir $@) -o '$@' $(X_MODULE)/../api-swig.hh

# we have an own install
_X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
X_BUILD_IMPLICIT := 0
include build/bottom.make
X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)

# install
all:: $($(X_MODULE)_BINARY)
install:: $($(X_MODULE)_BINARY)
	$(Q)echo "INSTALL PERL module $^"
	$(Q)mkdir -p $(DESTDIR)$(libdir)/perl5/site_perl/
	$(Q)install $^ $(dir $^)/ExactImage.pm $(DESTDIR)$(libdir)/perl5/site_perl/

=== api/python/Makefile ===
include build/top.make

BINARY = _ExactImage
BINARY_EXT = $(X_DYNEXT)
DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-python-wrap.cc

objdir/api/python/CXXFLAGS := -I api $(PYTHONINCS)

$($(X_MODULE)_OUTPUT)/api-python-wrap.cc: $(X_MODULE)/../api.hh $(X_MODULE)/../api-swig.hh
	$(Q)echo "  SWIG      $(dir $@)"
	$(Q)swig -python -c++ -outdir $(dir $@) -o '$@' $(X_MODULE)/../api-swig.hh

# we have an own install
_X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
X_BUILD_IMPLICIT := 0
include build/bottom.make
X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)

PYTHON_LIBDIR := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()')

# install
all:: $($(X_MODULE)_BINARY)
install:: $($(X_MODULE)_BINARY)
	$(Q)echo "INSTALL PYTHON module $^"
	$(Q)mkdir -p $(DESTDIR)$(PYTHON_LIBDIR)
	$(Q)install $(dir $^)/ExactImage.py $^ $(DESTDIR)$(PYTHON_LIBDIR)/

=== debian/changelog ===
exactimage (0.9.1-16) unstable; urgency=medium

  * debian/patches:
    - Add Fix-typo-s-sufficently-sufficiently.patch, Fix typo
      s/sufficently/sufficiently/
    - Add Disable-per-processor-optimization.patch, Disable per processor
      optimization flags
  * debian/rules:
    - disable PHP api builsd
  * Upgraded to policy 3.9.8, no changes required
  * Remove PHP5 package php5-exactimage (Closes: #821675)

 -- Sven Eckelmann <sven@narfation.org>  Tue, 14 Jun 2016 18:43:41 +0200

exactimage (0.9.1-15) unstable; urgency=medium

  * debian/control:
    - Disable jasper (JPEG2000) support (Closes: #818196)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 14 Mar 2016 20:31:32 +0100

exactimage (0.9.1-14) unstable; urgency=high

  * Set urgency high for the CVE-2015-8366 fix transition
  * debian/patches:
    - Add debian/patches/Sort-X_SRCS-to-reduce-noise-in-reproducible-diff.patch,
      Sort X_SRCS to reduce noise in reproducible diffs

 -- Sven Eckelmann <sven@narfation.org>  Wed, 24 Feb 2016 10:43:54 +0100

exactimage (0.9.1-13) unstable; urgency=medium

  * Upgraded to policy 3.9.7, no changes required
  * debian/patches:
    - Add Fix-CVE-2015-8366-Index-overflow-in-smal_decode_segment.patch,
      Fix CVE-2015-8366: Index overflow in smal_decode_segment

 -- Sven Eckelmann <sven@narfation.org>  Tue, 23 Feb 2016 13:53:21 +0100

exactimage (0.9.1-12) unstable; urgency=medium

  * debian/rules
    - Enable PIE hardening
  * debian/control
    - Change Vcs-Git to https://
  * debian/patches:
    - Add Fix-typo-s-optinally-optionally.patch,
      Fix typo s/optinally/optionally/
    - Add Don-t-compile-dynamic-shared-objects-as-PIE.patch,
      Don't compile dynamic shared objects as PIE
  * Sort debian control files with `wrap-and-sort -abst`

 -- Sven Eckelmann <sven@narfation.org>  Sun, 31 Jan 2016 18:14:02 +0100

exactimage (0.9.1-11) unstable; urgency=medium

  * debian/patches:
    - Add fixed-loading-absolute-filenames-with-colon-was-parsed-as.patch,
      fix loading (absolute) filenames with colon (LP: #1516548)
    - Add Build-as-C-98-code-to-avoid-errors-when-compiling-as-C-11.patch,
      Build as C++98 code to avoid errors when compiling as C++11
      (Closes: #811784)
  * debian/rules:
    - Disable LTO again due to GCC stability problems

 -- Sven Eckelmann <sven@narfation.org>  Fri, 22 Jan 2016 15:20:48 +0100

exactimage (0.9.1-10) unstable; urgency=medium

  * Change upstream URLs to https://exactcode.com
  * debian/control, debian/rules:
    - Drop exactimage-dbg in favor of -dbgsym package
  * Override the lintian warning about missing upstream changelog
  * Override the lintian warning about missing upstream source signature check
  * debian/copyright
    - Cleanup license short names
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Fri, 08 Jan 2016 11:46:34 +0100

exactimage (0.9.1-9) unstable; urgency=medium

  * debian/patches:
    - Update giflib5.patch, Remove errant backslash
      Thanks Logan Rosen <logan@ubuntu.com>

 -- Sven Eckelmann <sven@narfation.org>  Wed, 18 Nov 2015 09:31:48 +0100

exactimage (0.9.1-8) unstable; urgency=medium

  * debian/patches:
    - Add Fix-FTBFS-when-building-with-swig-3.0.7.patch, Fix FTBFS when
      building with swig 3.0.7 (Closes: #804466)
  * debian/control:
    - Add dh-python to Build-Depends

 -- Sven Eckelmann <sven@narfation.org>  Sun, 08 Nov 2015 20:43:46 +0100

exactimage (0.9.1-7) unstable; urgency=medium

  * debian/patches:
    - Add giflib5.patch, Build using giflib5 (Closes: #803296)
      Thanks Matthias Klose <doko@debian.org>

 -- Sven Eckelmann <sven@narfation.org>  Wed, 28 Oct 2015 17:06:31 +0100

exactimage (0.9.1-6) unstable; urgency=medium

  * debian/patches:
    - Move patches to alternative DEP-3 format and manage them with gbp pq
    - Add Encode-Ren-as-UTF-8.patch, Encode René as UTF-8 to avoid configure
      check failure
    - Add Fix-memory-leak-when-switching-between-images-in-edi.patch, Fix
      memory leak when switching between images in edisplay (Closes: #790780)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 08 Jul 2015 14:18:40 +0200

exactimage (0.9.1-5) unstable; urgency=high

  * Fix CVE-2015-3885: Integer overflow in the ljpeg_start function in dcraw
  * debian/patches:
    - Add CVE-2015-3885.patch, Avoid overflow in ljpeg_start()
      (Closes: #786785)

 -- Sven Eckelmann <sven@narfation.org>  Mon, 25 May 2015 17:25:46 +0200

exactimage (0.9.1-4) unstable; urgency=medium

  * debian/patches:
    - Add drop_date.patch, Drop date to make build reproducible
  * debian/manpages:
    - Add date information to make build of manpages from xml reproducible
  * debian/control:
    - Change Vcs-Browser to new alioth CGit URL
  * debian/copyright
    - Rewrite copyright information
    - Update years

 -- Sven Eckelmann <sven@narfation.org>  Wed, 06 May 2015 00:03:35 +0200

exactimage (0.9.1-3) unstable; urgency=medium

  * Upload to unstable
  * debian/patches
    - Add draw_jpeg_fix.patch, fixed dcraw CVE fix to be able to load
      dcraw images

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 May 2015 17:26:19 +0200

exactimage (0.9.1-2) experimental; urgency=medium

  * debian/patches:
    - Add bardecode_code128_bufferoverflow.patch, Fix buffer overflow when
      decoding code128 code_set_c (LP: #1425472)

 -- Sven Eckelmann <sven@narfation.org>  Wed, 25 Feb 2015 12:50:11 +0100

exactimage (0.9.1-1) experimental; urgency=medium

  * New Upstream Version
  * Upgraded to policy 3.9.6, no changes required
  * Update years in debian/copyright
  * debian/manpages:
    - Add new options to hocr2pdf.1.xml
  * debian/patches:
    - Remove upstream merged CVE-2013-1438.patch, CVE-2013-1441.patch
    - Rebase patches on top of 0.9.1

 -- Sven Eckelmann <sven@narfation.org>  Wed, 18 Feb 2015 19:12:29 +0100

exactimage (0.8.9-7) unstable; urgency=medium

  * debian/rules:
    - Use Largefile Support enabled C API
  * debian/patches:


=== debian/control ===
Source: exactimage
Section: graphics
Priority: optional
Maintainer: Sven Eckelmann <sven@narfation.org>
Standards-Version: 3.9.8
Homepage: https://exactcode.com/opensource/exactimage/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/exactimage.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/exactimage.git
Build-Depends:
 debhelper (>= 9.20151219),
 dh-python,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1.1),
 libagg-dev,
 libevas-dev,
 libexpat-dev,
 libfreetype6-dev,
 libgif-dev,
 libjpeg-dev,
 libopenexr-dev,
 libperl-dev,
 libpng-dev,
 libtiff5-dev,
 libx11-dev,
 libxml2-utils,
 libxrender-dev,
 perl,
 pkg-config,
 python-all-dev (>= 2.6.6-3~),
 swig,
 xsltproc,
X-Python-Version: >= 2.5

Package: edisplay
Architecture: any
Depends:
 ${evas:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast image manipulation programs (image viewer)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the image viewer.

Package: exactimage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 edisplay,
Description: fast image manipulation programs
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the utilities.

Package: libexactimage-perl
Section: perl
Architecture: any
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 exactimage-perl (<< 0.8),
Replaces:
 exactimage-perl (<< 0.8),
Description: fast image manipulation library (Perl bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Perl bindings.

Package: python-exactimage
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Provides:
 ${python:Provides},
Description: fast image manipulation library (Python bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-fopenmp -ffunction-sections -fdata-sections
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,--gc-sections
PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

MAKEOPTIONS = X_SYSTEM=Linux Q=

MAKE := $(MAKE) X_SYSTEM=Linux Q=

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --parallel --list-missing --with=python2

get-orig-source:
	$(CURDIR)/debian/get-orig-source.sh

override_dh_auto_configure:
	./configure --prefix=/usr --includedir=/usr/include --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc --libdir=/usr/lib --libexecdir=/usr/lib --with-ruby=no --with-php=no

override_dh_auto_clean:
	touch config.make
	dh_auto_clean -- $(MAKEOPTIONS)

override_dh_auto_test:

override_dh_auto_build:
	mkdir -p objdir/api/python/
	touch objdir/api/python/_ExactImage.so # prevent from being built this time
	dh_auto_build -- all $(MAKEOPTIONS)
	set -e; \
	for python in $(shell pyversions -r); do \
		rm -f objdir/api/python/_ExactImage.so; \
		dh_auto_build -- $(MAKEOPTIONS) objdir/api/python/_ExactImage.so PYTHONINCS=`$$python-config --includes`; \
		mkdir -p objdir/api/$$python; \
		cp objdir/api/python/*.so objdir/api/$$python/; \
		cp objdir/api/python/*.py objdir/api/$$python/; \
		chmod a-x objdir/api/$$python/*; \
	done
	$(MAKE) -C debian/manpages/

override_dh_auto_install:
	sed -e 's,$${perl_archlib},$(PERL_ARCHLIB),g' debian/libexactimage-perl.install.in > debian/libexactimage-perl.install
	dh_auto_install -- $(MAKEOPTIONS) WITHPYTHON=0
	set -e; \
	for python in $(shell pyversions -r); do \
		PYDIR=$$($${python} -c 'from distutils.sysconfig import get_python_lib; print get_python_lib()'); \
		mkdir -p debian/tmp/$${PYDIR}; \
		cp -a objdir/api/$$python/* debian/tmp/$${PYDIR}; \
	done

override_dh_strip:
	dh_strip -a --ddeb-migration='exactimage-dbg (<< 0.9.1-10~)'

override_dh_shlibdeps:
	dh_shlibdeps
	sed -i -e '/shlibs:Depends.*\(libevas[^ ]*\).*/ { p; s//evas:Depends=\1-engines-x/; b }; /^evas:Depends=/d' debian/*.substvars

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_shlibdeps override_dh_auto_clean override_dh_auto_test

## exactimage 0.9.2

=== debian/changelog ===
exactimage (0.9.2-1build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:02:21 +0000

exactimage (0.9.2-1) unstable; urgency=medium

  * debian/control:
    - Mark libexactimage-perl and python-exactimage as Multi-Arch: same
  * debian/patches:
    - Remove upstream merged
      + Add-missing-agg-includes.patch
      + Avoid-overflow-in-ljpeg_start.patch
      + Build-jpeg-functionality-for-libjpeg8.patch
      + Decode-image-before-accessing-the-stride-attribute-f.patch
      + Encode-Ren-as-UTF-8.patch
      + Fix-FTBFS-with-libpng-1.5.patch
      + Fix-memory-leak-when-switching-between-images-in-edi.patch
      + Link-against-libgif-instead-of-deprecated-libungif.patch
      + Sort-X_SRCS-to-reduce-noise-in-reproducible-diff.patch
      + fixed-dcraw-CVE-fix-to-be-able-to-load-dcraw-images.patch
      + fixed-loading-absolute-filenames-with-colon-was-parsed-as.patch
    - Rebase patches on top of 0.9.2:
      + Avoid-infinite-loops-generated-by-GCC-4.8-caused-by-.patch
      + Build-as-C-98-code-to-avoid-errors-when-compiling-as-C-11.patch
      + Disable-dead-code-that-is-causing-compilation-errors.patch
      + Disable-unused-Evas-Helper-function-to-avoid-FTBFS.patch
      + Don-t-compile-dynamic-shared-objects-as-PIE.patch
      + Drop-date-to-make-build-reproducible.patch
      + Enforce-simple-verbose-build-for-blhc.patch
      + Fix-CVE-2015-8366-Index-overflow-in-smal_decode_segment.patch
      + Fix-buffer-overflow-when-decoding-code128-code_set_c.patch
      + Fix-typo-s-optinally-optionally.patch
      + Fix-typo-s-sufficently-sufficiently.patch
      + Remove-dead-timer-code-which-causes-FTBFS.patch
      + Respect-CFLAGS-from-the-environment.patch
      + Use-PIC-version-of-static-AGG-library.patch
      + giflib5.patch
    - Add Remove-obsolete-path-reorientation-code-fixes-nonzero-fil.patch,
      Remove obsolete path reorientation code (fixes nonzero fill)
  * debian/copyright:
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Thu, 22 Jun 2017 09:44:18 +0200

=== debian/control ===
--- 
+++ 
@@ -62,6 +62,7 @@
 Package: libexactimage-perl
 Section: perl
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${perl:Depends},
@@ -80,6 +81,7 @@
 Package: python-exactimage
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${python:Depends},

## exactimage 1.0.1

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,7 @@
 X_BUILD_IMPLICIT=1
 
 # -s silcently corrupts binaries on OS X, sigh -ReneR
-CFLAGS = -Wall -O2
-CXXFLAGS = -Wall -O2 -Wno-sign-compare
-#CFLAGS = -Wall -O0 -ggdb
-#CXXFLAGS = -Wall -O0 -ggdb
+CFLAGS := -Wall -O2 # -O1 -ggdb # -fsanitize=address -fsanitize=undefined
 
 # for config.h
 CPPFLAGS += -I .
@@ -23,39 +20,41 @@
             > /dev/null 2>&1; then echo "$(1)"; else echo "$(2)"; fi ;)
 
 ifeq "$(X_ARCH)" "i686"
-CXXFLAGS += -march=i686
-CXXFLAGS += $(call cc-option,-mtune=pentium4,)
+CFLAGS += -march=i686
+CFLAGS += $(call cc-option,-mtune=pentium4,)
+CFLAGS += $(call cc-option,-mfpmath=sse,)
 endif
 
 # TODO: improve to match i[3456]86
 ifneq  "$(X_ARCH)" "i686"
 CFLAGS += -fPIC
-CXXFLAGS += -fPIC
 endif
 
 ifeq "$(X_ARCH)" "sparc64"
-CXXFLAGS += -mcpu=ultrasparc
-CXXFLAGS += $(call cc-option,-mtune=niagara,)
+CFLAGS += -mcpu=ultrasparc
+CFLAGS += $(call cc-option,-mtune=niagara,)
 endif
 
-CXXFLAGS += -funroll-loops -fomit-frame-pointer
-CXXFLAGS += $(call cc-option,-funswitch-loops,)
-CXXFLAGS += $(call cc-option,-fpeel-loops,)
-CXXFLAGS += $(call cc-option,-ftracer,)
-CXXFLAGS += $(call cc-option,-funit-at-a-time,)
-CXXFLAGS += $(call cc-option,-frename-registers,)
-CXXFLAGS += $(call cc-option,-ftree-vectorize,)
+CFLAGS += $(call cc-option,-march=native)
 
-#CXXFLAGS += $(call cc-option,-mfpmath=sse,)
+CFLAGS += -funroll-loops -fomit-frame-pointer
+CFLAGS += $(call cc-option,-funswitch-loops,)
+CFLAGS += $(call cc-option,-fpeel-loops,)
+CFLAGS += $(call cc-option,-ftracer,)
+CFLAGS += $(call cc-option,-funit-at-a-time,)
+CFLAGS += $(call cc-option,-frename-registers,)
+CFLAGS += $(call cc-option,-ftree-vectorize,)
 
 # we have some unimplemented colorspaces in the Image::iterator :-(
-CXXFLAGS += $(call cc-option,-Wno-switch -Wno-switch-enum,)
+CFLAGS += $(call cc-option,-Wno-switch -Wno-switch-enum,)
+
+CXXFLAGS := $(CFLAGS) -Wno-sign-compare
 
 ifeq "$(STATIC)" "1"
 X_EXEFLAGS += -static
 endif
 
-MODULES = lib codecs bardecode frontends ContourMatching
+MODULES = image codecs bardecode frontends ContourMatching
 include $(addsuffix /Makefile,$(MODULES))
 
 ifeq "$(WITHX11)" "1"

=== utility/Makefile ===
# --- GSMP-COPYRIGHT-NOTE-BEGIN ---
# 
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the GSMP-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
# 
# GSMP: utility/src/Makefile
# General Sound Manipulation Program is Copyright (C) 2000 - 2004
#   Valentin Ziegler and René Rebe
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2. A copy of the GNU General
# Public License can be found in the file LICENSE.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
# ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
# 
# --- GSMP-COPYRIGHT-NOTE-END ---

NOT_INCS := BinomiHeap.hh

include build/top.make

BINARY = libgsmutil
BINARY_EXT = $(X_DYNEXT)
DEPS =

CXXFLAGS += -I utility/
LDFLAGS += $(SIGC2LIBS) # -ldl -pthread 

include build/bottom.make

=== api/lua/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 BINARY = ExactImage
 BINARY_EXT = $(X_DYNEXT)
-DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-lua-wrap.cc
+DEPS = $(image_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-lua-wrap.cc
 
 objdir/api/lua/CXXFLAGS := -I api $(LUAINCS) -fno-strict-aliasing

=== api/php/Makefile ===
include build/top.make

BINARY = ExactImage
BINARY_EXT = $(X_DYNEXT)
DEPS = $(image_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-php-wrap.cc

objdir/api/php/CXXFLAGS := -I api $(PHPINCS) -fno-strict-aliasing

$($(X_MODULE)_OUTPUT)/api-php-wrap.cc: $(X_MODULE)/../api.hh $(X_MODULE)/../api-swig.hh
	$(Q)echo "  SWIG      $(dir $@)"
	$(Q)swig -php5 -c++ -outdir $(dir $@) -o '$@' $(X_MODULE)/../api-swig.hh

# we have an own install
_X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
X_BUILD_IMPLICIT := 0
include build/bottom.make
X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)

# install
all:: $($(X_MODULE)_BINARY)
install:: $($(X_MODULE)_BINARY)
	$(Q)echo "INSTALL PHP module $^"
	$(Q)mkdir -p $(DESTDIR)$(libdir)/php/
	$(Q)install $^ $(dir $^)/ExactImage.php $(DESTDIR)$(libdir)/php/

=== debian/changelog ===
exactimage (1.0.1-1) unstable; urgency=medium

  * New Upstream Version
  * debian/control:
    - update to debhelper 10
  * Upgraded to policy 4.1.1, no changes required
  * debian/rules
    - Remove ddeb migration conflict against pre-stretch package
  * debian/patches:
    - Remove upstream merged
      Avoid-infinite-loops-generated-by-GCC-4.8-caused-by-.patch,
      Fix-FTBFS-when-building-with-swig-3.0.7.patch
  * debian/copyright:
    - Update copyright years

 -- Sven Eckelmann <sven@narfation.org>  Fri, 13 Oct 2017 16:24:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: graphics
 Priority: optional
 Maintainer: Sven Eckelmann <sven@narfation.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://exactcode.com/opensource/exactimage/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/exactimage.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/exactimage.git
 Build-Depends:
- debhelper (>= 9.20151219),
+ debhelper (>= 10),
  dh-python,
  docbook-xml,
  docbook-xsl,

=== debian/rules ===
--- 
+++ 
@@ -50,12 +50,9 @@
 		cp -a objdir/api/$$python/* debian/tmp/$${PYDIR}; \
 	done
 
-override_dh_strip:
-	dh_strip -a --ddeb-migration='exactimage-dbg (<< 0.9.1-10~)'
-
 override_dh_shlibdeps:
 	dh_shlibdeps
 	sed -i -e '/shlibs:Depends.*\(libevas[^ ]*\).*/ { p; s//evas:Depends=\1-engines-x/; b }; /^evas:Depends=/d' debian/*.substvars
 
 .PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
-	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_strip override_dh_shlibdeps override_dh_auto_clean override_dh_auto_test
+	get-orig-source override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_shlibdeps override_dh_auto_clean override_dh_auto_test

=== debian/watch ===
version=3
https://dl.exactcode.com/oss/exact-image/exact-image(?:-|\.|_|_v|)(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## exactimage 1.0.2

=== api/Makefile ===
include build/top.make

BINARY = api
BINARY_EXT = $(X_LIBEXT)
DEPS = 

ifeq "$(WITHBARDECODE)" "1"
CPPFLAGS += $(BARDECODEINCS)
LDFLAGS += $(BARDECODELIBS)
endif

# we have an own install
_X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
X_BUILD_IMPLICIT := 0
include build/bottom.make
X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)

=== bardecode/Makefile ===
include build/top.make

BINARY = bardecode
BINARY_EXT = $(X_LIBEXT)

DEPS = 

CPPFLAGS += -I bardecode

include build/bottom.make

=== codecs/Makefile ===
include build/top.make

ifeq "$(WITHLIBJPEG)" "1"
LDFLAGS += -ljpeg
else
NOT_SRCS += jpeg.cc transupp.c
endif

ifeq "$(WITHLIBTIFF)" "1"
LDFLAGS += -ltiff # -ltiffxx
else
NOT_SRCS += tiff.cc
endif

ifeq "$(WITHLIBPNG)" "1"
LDFLAGS += -lpng
else
NOT_SRCS += png.cc
endif

ifeq "$(WITHLIBGIF)" "1"
LDFLAGS += -lgif
else
NOT_SRCS += gif.cc
endif

ifeq "$(WITHJASPER)" "1"
LDFLAGS += -ljasper
else
NOT_SRCS += jpeg2000.cc
endif

ifeq "$(WITHOPENEXR)" "1"
CPPFLAGS += $(OPENEXRINCS)
LDFLAGS += $(OPENEXRLIBS)
else
NOT_SRCS += openexr.cc
endif

ifeq "$(WITHLCMS)" "1"
LDFLAGS += $(LCMSLIBS)
endif

ifeq "$(WITHEXPAT)" "1"
LDFLAGS += $(EXPATLIBS)
else
NOT_SRCS += agg_svg_parser.cc agg_svg_path_renderer.cc \
            agg_svg_path_tokenizer.cc svg.cc
endif

ifeq "$(PCX)" "0"
NOT_SRCS += pcx.cc
endif

ifeq "$(TGA)" "0"
NOT_SRCS += tga.cc
endif 

BINARY = codecs
BINARY_EXT = $(X_LIBEXT)
DEPS =

CPPFLAGS += -I codecs/
LDFLAGS += -lz # for the PDF compression, TODO: check for availability and disable the support code otherwise

include build/bottom.make

=== frontends/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 BINARY = $(basename $(filter-out $(NOT_SRCS), $(notdir $(wildcard $(X_MODULE)/*.cc $(X_MODULE)/*.c))) $(SRCS))
 
 BINARY_EXT = $(X_EXEEXT)
-DEPS = $(lib_BINARY) $(codecs_BINARY) $(bardecode_BINARY) $(X_OUTARCH)/utility/ArgumentList$(X_OBJEXT) $(X_OUTARCH)/utility/File$(X_OBJEXT)
+DEPS = $(image_BINARY) $(codecs_BINARY) $(bardecode_BINARY) $(X_OUTARCH)/utility/ArgumentList$(X_OBJEXT) $(X_OUTARCH)/utility/File$(X_OBJEXT)
 
 CPPFLAGS += -I utility
 #LDFLAGS += -lGL -lGLU -lglut -L/usr/X11/lib64

=== gfx/Makefile ===

# --- GSMP-COPYRIGHT-NOTE-BEGIN ---
# 
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the GSMP-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
# 
# GSMP: gfx/src/Makefile
# General Sound Manipulation Program is Copyright (C) 2000 - 2004
#   Valentin Ziegler and René Rebe
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2. A copy of the GNU General
# Public License can be found in the file LICENSE.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
# ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
# 
# --- GSMP-COPYRIGHT-NOTE-END ---

include build/top.make

BINARY = libgsmpgfx
BINARY_EXT = $(X_LIBEXT)

CPPFLAGS += $(X11INCS) $(EVASINCS) -Igfx $(shell pkg-config evas --atleast-version 0.9.9.027 && echo -D WITHEVAS_COLOR_PREMUL)
LDFLAGS += $(X11LIBS) -lXrender $(EVASLIBS)

include build/bottom.make

=== api/perl/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 BINARY = ExactImage
 BINARY_EXT = $(X_DYNEXT)
-DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-perl-wrap.cc
+DEPS = $(image_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-perl-wrap.cc
 
 objdir/api/perl/CXXFLAGS := -I api $(PERLINCS)

=== api/python/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 BINARY = _ExactImage
 BINARY_EXT = $(X_DYNEXT)
-DEPS = $(lib_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-python-wrap.cc
+DEPS = $(image_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-python-wrap.cc
 
 objdir/api/python/CXXFLAGS := -I api $(PYTHONINCS)

=== api/ruby/Makefile ===
include build/top.make

BINARY = ExactImage
BINARY_EXT = $(X_DYNEXT)
DEPS = $(image_BINARY) $(bardecode_BINARY) $(codecs_BINARY) $(api_BINARY) $($(X_MODULE)_OUTPUT)/api-ruby-wrap.cc

objdir/api/ruby/CXXFLAGS := -I api $(RUBYINCS)
objdir/api/ruby/LDFLAGS := $(RUBYINCS)

$($(X_MODULE)_OUTPUT)/api-ruby-wrap.cc: $(X_MODULE)/../api.hh $(X_MODULE)/../api-swig.hh
	$(Q)echo "  SWIG      $(dir $@)"
	$(Q)swig -ruby -c++ -outdir $(dir $@) -o '$@' $(X_MODULE)/../api-swig.hh

# we have an own install
_X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)
X_BUILD_IMPLICIT := 0
include build/bottom.make
X_BUILD_IMPLICIT := $(_X_BUILD_IMPLICIT)

# install
all:: $($(X_MODULE)_BINARY)
install:: $($(X_MODULE)_BINARY)
	$(Q)echo "INSTALL RUBY module $($(X_MODULE)_OUTPUT)/..."
	$(Q)mkdir -p $(DESTDIR)$(libdir)/ruby/...
	$(Q)install $($(X_MODULE)_OUTPUT)/ExactImage.pm $($(X_MODULE)_BINARY) $(DESTDIR)$(libdir)/ruby/...

=== utility/tests/Makefile ===

# --- GSMP-COPYRIGHT-NOTE-BEGIN ---
# 
# This copyright note is auto-generated by ./scripts/Create-CopyPatch.
# Please add additional copyright information _after_ the line containing
# the GSMP-COPYRIGHT-NOTE-END tag. Otherwise it might get removed by
# the ./scripts/Create-CopyPatch script. Do not edit this copyright text!
# 
# GSMP: utility/tests/Makefile
# General Sound Manipulation Program is Copyright (C) 2000 - 2004
#   Valentin Ziegler and René Rebe
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2. A copy of the GNU General
# Public License can be found in the file LICENSE.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANT-
# ABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
# 
# --- GSMP-COPYRIGHT-NOTE-END ---

TOPDIR  = ../..

NOT_SRCS := 

include $(TOPDIR)/Rules.pre

BUILD_PROGS := Delete Logging Thread Attribute File Find ThreadedFind

all: $(BUILD_OBJS) $(BUILD_PROGS)

include $(TOPDIR)/Rules

INCDIRS := . ../include ../../dam/include

INCLUDES := $(SIGC2INCS) \
            $(filter-out $(NOT_INCS), \
            $(foreach dir, $(INCDIRS), -I$(dir)))

LIBS := $(SIGCLIBS) -ldl ../src/libgsmutil.so

=== debian/changelog ===
exactimage (1.0.2-7ubuntu2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:32 +0100

exactimage (1.0.2-7ubuntu1) focal; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Stop dropping from c++11 to c++98 and instead build with -fpermissive.

 -- Rik Mills <rikmills@kde.org>  Mon, 30 Dec 2019 07:10:18 +0000

exactimage (1.0.2-7) unstable; urgency=medium

  * Upload to unstable

 -- Sven Eckelmann <sven@narfation.org>  Sun, 29 Dec 2019 12:54:56 +0100

exactimage (1.0.2-6) experimental; urgency=medium

  * Replace python-exactimage package with python3-exactimage (Closes: #936493)
  * debian/control:
    - Allow build without (fake)root
    - Upgraded to policy 4.4.1, no changes required

 -- Sven Eckelmann <sven@narfation.org>  Mon, 30 Sep 2019 08:57:07 +0200

exactimage (1.0.2-5ubuntu2) focal; urgency=medium

  * No-change rebuild against libilmbase23 and libopenexr23.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Dec 2019 07:05:07 +0000

exactimage (1.0.2-5ubuntu1) focal; urgency=medium

  * Stop dropping from c++11 to c++98 and instead build with -fpermissive.

 -- Adam Conrad <adconrad@ubuntu.com>  Sat, 19 Oct 2019 23:40:53 -0600

exactimage (1.0.2-5) unstable; urgency=medium

  * Fix FTBFS against libgif >= 5.2 (Closes: #939031)
  * Fix libgif >= 5.1 compatibility

 -- Sven Eckelmann <sven@narfation.org>  Sat, 31 Aug 2019 14:24:37 +0200

exactimage (1.0.2-4) unstable; urgency=medium

  * Upgraded to policy 4.4.0, no changes required
  * debian/control:
    - Switch debhelper dependency to debhelper-compat
  * lintian-overrides:
    - Avoid false spelling warning on non x86_64-linux-gnu
  * debian/copyright:
    - Fix copyright for edisplay

 -- Sven Eckelmann <sven@narfation.org>  Tue, 27 Aug 2019 21:54:30 +0200

exactimage (1.0.2-3) unstable; urgency=medium

  * Upload to unstable
  * debian/control:
    - Automatically select correct Vcs-Git branch

 -- Sven Eckelmann <sven@narfation.org>  Sat, 06 Jul 2019 15:40:52 +0200

exactimage (1.0.2-2) experimental; urgency=medium

  * debian/control
    - Upgraded to policy 4.3.0, no changes required
    - Switch to debhelper 12

 -- Sven Eckelmann <sven@narfation.org>  Sat, 02 Mar 2019 20:16:53 +0100

exactimage (1.0.2-1) unstable; urgency=medium

  * New Upstream Version
  * debian/copyright:
    - Update copyright information
  * debian/patches:
    - refresh patches

 -- Sven Eckelmann <sven@narfation.org>  Sun, 03 Feb 2019 17:49:58 +0100

exactimage (1.0.1-4) unstable; urgency=medium

  * debian/control:
    - Switch to shared library version of libagg (Closes: #921096)

 -- Sven Eckelmann <sven@narfation.org>  Fri, 01 Feb 2019 18:30:24 +0100

exactimage (1.0.1-3) unstable; urgency=medium

  * Upgraded to policy 4.2.1
    - remove get-orig-source rule from debian/rules
  * debian/rules:
    - Drop (now default) parameter --parallel for dch
  * Ignore false positive spelling-mistake lintian warning about
    Pentax camera name
  * debian/control
    - remove "Multi-Arch: same" from python-exactimage due to usage of
      pycompile
    - Drop unnecessary X-Python-Version field
  * debian/copyright:
    - Fix copyright path of common files from lib/ to image/
    - Update copyright information

 -- Sven Eckelmann <sven@narfation.org>  Fri, 19 Oct 2018 19:57:15 +0200

exactimage (1.0.1-2) unstable; urgency=medium

  * debian/control:
    - Remove edisplay package which depends on libevas-dev < 1.20
    - Remove libevas-dev from Build-Depends
    - Remove now unused libxrender-dev Build-Depends
    - Adjust Vcs-* URLs to point to salsa.debian.org
  * debian/rules:
    - Disable libevas support to fix FTBFS against libevas-dev >= 1.20
      (Closes: #895511)

 -- Sven Eckelmann <sven@narfation.org>  Thu, 12 Apr 2018 20:17:08 +0200

=== debian/control ===
Source: exactimage
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sven Eckelmann <sven@narfation.org>
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://exactcode.com/opensource/exactimage/
Vcs-Git: https://salsa.debian.org/ecsv-guest/exactimage.git -b debian/sid
Vcs-Browser: https://salsa.debian.org/ecsv-guest/exactimage
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 docbook-xml,
 docbook-xsl,
 dpkg-dev (>= 1.16.1.1),
 libagg2-dev,
 libexpat-dev,
 libfreetype6-dev,
 libgif-dev,
 libjpeg-dev,
 libopenexr-dev,
 libperl-dev,
 libpng-dev,
 libtiff5-dev,
 libx11-dev,
 libxml2-utils,
 perl,
 pkg-config,
 python3-all-dev,
 swig,
 xsltproc,

Package: exactimage
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: fast image manipulation programs
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the utilities.

Package: libexactimage-perl
Section: perl
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 exactimage-perl (<< 0.8),
Replaces:
 exactimage-perl (<< 0.8),
Description: fast image manipulation library (Perl bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Perl bindings.

Package: python3-exactimage
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Provides:
 ${python3:Provides},
Description: fast image manipulation library (Python3 bindings)
 ExactImage is a fast C++ image processing library. Unlike many other library
 frameworks it allows operation in several color spaces and bit depths
 natively, resulting in low memory and computational requirements.
 .
 This package contains the Python3 bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CFLAGS_MAINT_APPEND=-fopenmp -ffunction-sections -fdata-sections -fpermissive
export DEB_CPPFLAGS_MAINT_APPEND = -D_FILE_OFFSET_BITS=64
export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,--gc-sections
PERL_ARCHLIB := $(shell perl -MConfig -e 'print $$Config{vendorarch}')

MAKEOPTIONS = X_SYSTEM=Linux Q=

MAKE := $(MAKE) X_SYSTEM=Linux Q=

binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep:
	dh $@ --with=python3

override_dh_auto_configure:
	./configure --prefix=/usr --includedir=/usr/include --mandir=/usr/share/man --infodir=/usr/share/info --sysconfdir=/etc --libdir=/usr/lib --libexecdir=/usr/lib --with-ruby=no --with-php=no --with-evas=no

override_dh_auto_clean:
	touch config.make
	dh_auto_clean -- $(MAKEOPTIONS)

override_dh_auto_test:

override_dh_auto_build:
	mkdir -p objdir/api/python/
	touch objdir/api/python/_ExactImage.so # prevent from being built this time
	dh_auto_build -- all $(MAKEOPTIONS)
	set -e; \
	for python in $(shell py3versions -r); do \
		rm -f objdir/api/python/_ExactImage.so; \
		dh_auto_build -- $(MAKEOPTIONS) objdir/api/python/_ExactImage.so PYTHONINCS=`$$python-config --includes`; \
		mkdir -p objdir/api/$$python; \
		PYEXT=$$($${python} -c 'from distutils.sysconfig import get_config_var; print(get_config_var("EXT_SUFFIX"))'); \
		cp objdir/api/python/_ExactImage.so objdir/api/$$python/_ExactImage$${PYEXT}; \
		cp objdir/api/python/ExactImage.py objdir/api/$$python/; \
		chmod a-x objdir/api/$$python/*; \
	done
	$(MAKE) -C debian/manpages/

override_dh_auto_install:
	sed -e 's,$${perl_archlib},$(PERL_ARCHLIB),g' debian/libexactimage-perl.install.in > debian/libexactimage-perl.install
	dh_auto_install -- $(MAKEOPTIONS) WITHPYTHON=0
	set -e; \
	for python in $(shell py3versions -r); do \
		PYDIR=$$($${python} -c 'from distutils.sysconfig import get_python_lib; print(get_python_lib())'); \
		mkdir -p debian/tmp/$${PYDIR}; \
		cp -a objdir/api/$$python/* debian/tmp/$${PYDIR}; \
	done

override_dh_shlibdeps:
	dh_shlibdeps
	sed -i -e '/shlibs:Depends.*\(libevas[^ ]*\).*/ { p; s//evas:Depends=\1-engines-x/; b }; /^evas:Depends=/d' debian/*.substvars

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install install-arch install-indep \
	override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_shlibdeps override_dh_auto_clean override_dh_auto_test
